Bug 239532 - please enable QEMU monitor option
please enable QEMU monitor option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-09 03:50 EDT by Tatsuro Enokura
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 16:07:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tatsuro Enokura 2007-05-09 03:50:34 EDT
Description of problem:
When I enter "Ctrl-Alt-2" to change a CDROM during installation, 
the guest's conslole don't turn into QEMU monitor. 
I understand this behavior because the QEMU monitor would not be secure.
So, "xm create" command and config file add "monitor" option at 
xen-unstable changeset 14822.
Please apply this option for xen package and handle this option for 
libvirt, python-virtinst and virt-manager.

- Intel T2400 host machine, 1.83 Ghz, 2 GB ram.
- fedora7 test4 installed
- Make HVM domain to use virt-manager to install a guest on multiple CDROMs /
ISO images.

Version-Release number of selected component (if applicable):
  kernel-xen-2.6.20-2925.5.fc7
  xen-3.0.4-9.fc7
  xen-libs-3.0.4-9.fc7
  libvirt-0.2.2-1.fc7
  libvirt-python-0.2.2-1.fc7
  python-virtinst-0.103.0-2.fc7
  virt-manager-0.4.0-1.fc7

Steps to Reproduce:
1. HVM domain create to install a guest on multiple CDROMs / ISO images 
   using virt-manager or virt-install command.
2. Enter "Ctrl-Alt-2" on the guest console when the guest installer demand
   to change the next cdrom / ISO image.
Comment 1 Daniel Berrange 2007-10-30 16:07:16 EDT
libvirt now has explicit API support for changing CDROM media. There is a button
in virt-manager to do this. As previously noted, exposing the QEMU monitor
console is a security risk & serves no purpose since its actions are available
via real APIs.

Note You need to log in before you can comment on or make changes to this bug.